<?xml version="1.0"?>
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" 
               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
<book id="index" xmlns:xi="http://www.w3.org/2001/XInclude">
  <bookinfo>
    <title>Gwyddion Application Library Reference Manual</title>
    <xi:include href="releaseinfo.xml"/>
  </bookinfo>

  <chapter id="libgwyapp-main-app">
    <title>Main Program and Resources</title>
    <xi:include href="xml/gwyapp.xml"/>
    <xi:include href="xml/app.xml"/>
    <xi:include href="xml/settings.xml"/>
    <xi:include href="xml/resource-editor.xml"/>
    <!--<xi:include href="xml/glmaterial-editor.xml"/>-->
    <xi:include href="xml/gradient-editor.xml"/>
    <xi:include href="xml/menu.xml"/>
    <xi:include href="xml/help.xml"/>
    <xi:include href="xml/logging.xml"/>
  </chapter>

  <chapter id="libgwyapp-data">
    <title>Data Management</title>
    <xi:include href="xml/file.xml"/>
    <xi:include href="xml/data-browser.xml"/>
    <xi:include href="xml/file-ops.xml"/>
    <xi:include href="xml/filelist.xml"/>
    <xi:include href="xml/app-data-window.xml"/>
    <xi:include href="xml/app-image-window.xml"/>
    <xi:include href="xml/app-graph-window.xml"/>
    <xi:include href="xml/meta-browser.xml"/>
    <xi:include href="xml/undo.xml"/>
    <xi:include href="xml/log.xml"/>
    <xi:include href="xml/log-browser.xml"/>
  </chapter>

  <chapter id="libgwyapp-modules">
    <title>Module Management</title>
    <xi:include href="xml/module-loader.xml"/>
    <xi:include href="xml/module-browser.xml"/>
    <xi:include href="xml/module-file.xml"/>
    <xi:include href="xml/module-image.xml"/>
    <xi:include href="xml/module-tool.xml"/>
    <xi:include href="xml/module-graph.xml"/>
    <xi:include href="xml/module-synth.xml"/>
    <xi:include href="xml/module-volume.xml"/>
    <xi:include href="xml/module-xyz.xml"/>
    <xi:include href="xml/module-cmap.xml"/>
    <xi:include href="xml/function-list.xml"/>
    <xi:include href="xml/recent-funcs.xml"/>
  </chapter>

  <chapter id="libgwyapp-utils">
    <title>Module Implementation Utilities</title>
    <xi:include href="xml/param-def.xml"/>
    <xi:include href="xml/params.xml"/>
    <xi:include href="xml/param-table.xml"/>
    <xi:include href="xml/param-resource.xml"/>
    <xi:include href="xml/dialog.xml"/>
    <xi:include href="xml/gwytool.xml"/>
    <xi:include href="xml/gwyplaintool.xml"/>
    <xi:include href="xml/module-utils.xml"/>
    <xi:include href="xml/module-utils-file.xml"/>
    <xi:include href="xml/module-utils-synth.xml"/>
    <xi:include href="xml/data-chooser.xml"/>
    <xi:include href="xml/results-export.xml"/>
    <xi:include href="xml/wait.xml"/>
  </chapter>

  <chapter id="ModuleTutorial">
    <title>Module Tutorial</title>
    <xi:include href="xml/module-tutorial-overview.xml"/>
    <xi:include href="xml/module-tutorial-minimal.xml"/>
    <xi:include href="xml/module-tutorial-beyond.xml"/>
    <xi:include href="xml/module-tutorial-process.xml"/>
    <xi:include href="xml/module-tutorial-file.xml"/>
    <xi:include href="xml/module-tutorial-graph.xml"/>
    <xi:include href="xml/module-tutorial-tool.xml"/>
    <xi:include href="module-tutorial-install.xml"/>
  </chapter>

  <index id="api-index-all">
    <title>Index of all symbols</title>
    <xi:include href="xml/api-index-full.xml"><xi:fallback /></xi:include>
  </index>
  <xi:include href="xml/annotation-glossary.xml"><xi:fallback /></xi:include>
</book>
